Summary: e-smith server and gateway - lilo configuration
%define name e-smith-lilo
Name: %{name}
%define version 1.12.0
%define release 05sme01
Version: %{version}
Release: %{release}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
Source1: smeserver.pcx
Patch0: e-smith-lilo-1.12.0-01sme01.unbrand_patch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
Requires: lilo >= 21.4.4-10
BuildRequires: e-smith-devtools
BuildArchitectures: noarch
AutoReqProv: no

%description
e-smith configuration of the lilo boot loader

%changelog
* Wed Dec 08 2004 Shad L. Lords <slords@mail.com>
- [1.12.0-05sme01]
- Bump release so upgrade from 6.0.1 works

* Mon Dec 07 2004 Shad L. Lords <slords@mail.com>
- [1.12.0-01sme01]
- Remove Mitel branding

* Thu Jun 26 2003 Charlie Brady <charlieb@e-smith.com>
- [1.12.0-01]
- Changing version to stable stream number - 1.12.0

* Thu Jun 12 2003 Gordon Rowell <gordonr@e-smith.com>
- [1.11.1-01]
- Added order to migrate fragments [gordonr 9015]

* Mon Jun  9 2003 Gordon Rowell <gordonr@e-smith.com>
- [1.11.0-06]
- Delete lilo{DefaultKernel} if it is Mitel-SME - let the system
  choose again [gordonr 8971]

* Mon Jun  9 2003 Gordon Rowell <gordonr@e-smith.com>
- [1.11.0-05]
- Remove unused code path in 30labels since we now always install
  the SMP and non-SMP kernels [gordonr 8971]

* Tue Apr 22 2003 Gordon Rowell <gordonr@e-smith.com>
- [1.11.0-04]
- Determine default boot kernel based on the installer's view of whether we
  are SMPCapable [gordonr 8343]

* Thu Apr  3 2003 Gordon Rowell <gordonr@e-smith.com>
- [1.11.0-03]
- Fix createlinks for new directory [gordonr 7537]

* Thu Apr  3 2003 Gordon Rowell <gordonr@e-smith.com>
- [1.11.0-02]
- Determine kernel we booted and select that as the default, storing it
  in $lilo{DefaultKernel}. Run conf-lilo in the "local" event (post-boot)
  and if the booted kernel differs from $lilo{DefaultKernel}, adjust 
  lilo.conf and re-run lilo, making this kernel the new default [gordonr 7537]

* Thu Apr  3 2003 Gordon Rowell <gordonr@e-smith.com>
- [1.11.0-01]
- dev stream to 1.11.0

* Fri Oct 11 2002 Charlie Brady <charlieb@e-smith.com>
- [1.10.0-01]
- Rolling stable version number to 1.10.0

* Wed Oct  9 2002 Tony Clayton <apc@e-smith.com>
- [1.9.6-01]
- remove deprecated esmith.pcx from /boot [tonyc 5099]
- roll new version to purge file 

* Thu Oct  3 2002 Michael Soulier <msoulier@e-smith.com>
- [1.9.5-03]
- Fixed smp kernel detection in lilo.conf template fragment. This was
  causing a bad label for the uniprocessor kernel on an smp box.
  [msoulier 3910]

* Wed Sep 18 2002 Charlie Brady <charlieb@e-smith.com>
- [1.9.5-02]
- Fix lilo template parsing problem if image names were duplicates
  (note, images not labels) [charlieb 3910]

* Thu Aug 22 2002 Charlie Brady <charlieb@e-smith.com>
- [1.9.5-01]
- Relabel lilo images esmith -> Mitel-SME-{,up,smp} [charlieb 3910]

* Tue Aug  6 2002 Charlie Brady <charlieb@e-smith.com>
- [1.9.4-01]
- Added TODO template fragment, as notes of what remains to be done.
- Fix more small snafus in lilo.conf template-begin fragment. [charlieb 3808]

* Wed Jul 31 2002 Charlie Brady <charlieb@e-smith.com>
- [1.9.3-01]
- Fix small snafus in lilo.conf template-begin fragment. [charlieb 3808]

* Wed Jul 31 2002 Charlie Brady <charlieb@e-smith.com>
- [1.9.2-01]
- Add setting of Mitel logo, which was lost in the last round of file remove
  then add before commit, which confuses one or both of me and CVS.
- Remove any remnants of earlier template-begin and template-end templates.
  [charlieb 3808]

* Wed Jul 31 2002 Charlie Brady <charlieb@e-smith.com>
- [1.9.1-01]
- Make minimal changes to lilo.conf when processing it. In this version,
  only make sure that mitel logo is specified, and remove blank lines.
  Other changes will be added in as they are identified. [charlieb 3808]

* Wed Jun  5 2002 Charlie Brady <charlieb@e-smith.com>
- [1.9.0-01]
- Changing version to development stream number to 1.9.0

* Fri May 31 2002 Charlie Brady <charlieb@e-smith.com>
- [1.8.0-01]
- Changing version to maintained stream number to 1.8.0

* Thu May 23 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.7.4-01]
- RPM rebuild forced by cvsroot2rpm

* Tue Apr 30 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.7.3-01]
- YA mitel.pcx with more border cleanup [gordonr 3188]

* Fri Apr 19 2002 Mark Knox <markk@e-smith.com>
- [1.7.2-01]
- Updated mitel.pcx to a version with cleaned-up borders [markk 3188]

* Thu Apr 18 2002 Mark Knox <markk@e-smith.com>
- [1.7.1-01]
- rollRPM: Rolled version number to 1.7.1-01. Includes patches up to 1.7.0-02.

* Mon Dec 31 2001 Charlie Brady <charlieb@e-smith.com>
- [1.7.0-02]
- Rename default label of "linux" to "esmith". Up until now this has been
  done by special code in the installer.

* Mon Dec 31 2001 Charlie Brady <charlieb@e-smith.com>
- [1.7.0-01]
- rollRPM: Rolled version number to 1.7.0-01. Includes patches up to 1.6.0-01.
- Include Mitel pcx file in tarball.

* Tue Dec 11 2001 Jason Miller <jay@e-smith.com>
- [1.6.0-01]
- rollRPM: Rolled version number to 1.6.0-01. Includes patches up to 1.5.0-04.

* Wed Dec  5 2001 Adrian Chung <adrianc@e-smith.com>
- [1.5.0-04]
- Replacing mitel.pcx with a version thas has non-cropped
  rounded bits.

* Thu Nov 08 2001 Charlie Brady <charlieb@e-smith.com>
- [1.5.0-03]
- Try a more colourful mitel splash screen.

* Fri Nov 2 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.5.0-02]
- Changed splash screen to mitel.pcx

* Fri Nov 2 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.5.0-01]
- Rolled version number to 1.5.0-01. Includes patches upto 1.4.0-02.

* Fri Aug 17 2001 gordonr
- [1.4.0-02]
- Autorebuild by rebuildRPM

* Wed Aug 8 2001 Charlie Brady <charlieb@e-smith.com>
- [1.4.0-01]
- Rolled version number to 1.4.0-01. Includes patches upto 1.3.0-02.

* Fri Jul 6 2001 Peter Samuel <peters@e-smith.com>
- [1.3.0-02]
- Including GPL license with package

* Tue Jun 5 2001 Peter Samuel <peters@e-smith.com>
- [1.3.0-01]
- Reinstated patches so that this development stream is identical to 1.2.0-06

* Tue Jun 5 2001 Peter Samuel <peters@e-smith.com>
- [1.2.0-07]
- Removed patches so that this version is identical to 1.2.0-04.
  Patches should be in a development stream.

* Fri Jun 1 2001 Peter Samuel <peters@e-smith.com>
- [1.2.0-06]
- Fixed raid checking. Installer uses "raid" keywork in /proc/mdstat
  even when no devices are configured. Now checks for "md0 : ..."
- Moved conf-lilo action after init-accounts action.

* Fri Jun 1 2001 Peter Samuel <peters@e-smith.com>
- [1.2.0-05]
- /etc/lilo.conf is now templated. Should work fine with IDE and SCSI
  system in both single and RAID 1 configurations

* Fri Mar 30 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.2.0-04]
- Ensure /etc/lilo.conf is mode 0600

* Thu Feb  8 2001 Adrian Chung <adrianc@e-smith.com>
- [1.2.0-03]
- Rolling release number for GPG signing.

* Mon Jan 29 2001 Peter Samuel <peters@e-smith.com>
- [1.2.0-02]
- Fixed case where upgrading from non smp kernel to smp kernel uses non
  smp kernel image

* Thu Jan 25 2001 Peter Samuel <peters@e-smith.com>
- [1.2.0-01]
- Rolled version number to 1.2.0 to indicate a stable release.
  Includes patches upto 1.1.1-3.

* Thu Dec 28 2000 Charlie Brady <charlieb@e-smith.com>
- [1.1.1-3]
- Patch RAID1 disk configuration if we find it.

* Sun Dec 17 2000 Gordon Rowell <gordonr@e-smith.com>
- [1.1.1-2]
- Just replace the splash screen - leave the label as "linux". Otherwise
  an upgrade generates duplicate labels, and you can't boot :-(

* Tue Dec 12 2000 Peter Samuel <peters@e-smith.com>
- [1.1.1-1]
- Rolled to 1.1.1-1. Includes patches up to 1.1.0-3
- Replaced pcx image. Needed to create a new tarball because we can't
  handle binary diffs. Hence the roll to a new version number.
- Changed boot label from e-smith to esmith.

* Wed Dec 06 2000 Peter Samuel <peters@e-smith.com>
- [1.1.0-3]
- Reverted to noarch

* Wed Dec 06 2000 Peter Samuel <peters@e-smith.com>
- [1.1.0-2]
- Splash screen file size was too big. It must be < 64k.
  Used ppmquant to reduce number of colours.
- RPM should be i386 instead of noarch
- Dependency on lilo needs to be for an explicit version or greater.

* Fri Dec 01 2000 Gordon Rowell <gordonr@e-smith.com>
- [1.1.0-1] 
- Initial version - set e-smith splash screen and e-smith labels

%prep
%setup
%patch0 -p1
cp %{_sourcedir}/smeserver.pcx root/boot/

%build
mkdir -p root/etc/e-smith/events/post-{install,upgrade}
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    > %{name}-%{version}-%{release}-filelist
echo "%doc COPYING" >> %{name}-%{version}-%{release}-filelist

%post


%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root)
